scala.tools.nsc.ast.parser.MarkupParsers

# MarkupParser

###
Related Doc: package MarkupParsers

#### class MarkupParser extends MarkupParserCommon

Source
  MarkupParsers.scala

Linear Supertypes
MarkupParserCommon, AnyRef, Any
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. MarkupParser
2. MarkupParserCommon
3. AnyRef
4. Any

Implicitly

1. by any2stringadd
2. by StringFormat
3. by Ensuring
4. by ArrowAssoc

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Instance Constructors

1. #### new MarkupParser(parser: SourceFileParser, preserveWS: Boolean)

### Type Members

1. #### type AttributesType = Map[String, Global.Tree]

   Definition Classes
     MarkupParser → MarkupParserCommon

2. #### type ElementType = Global.Tree

   Definition Classes
     MarkupParser → MarkupParserCommon

3. #### type InputType = CharArrayReader

4. #### type NamespaceType = Any

   Definition Classes
     MarkupParser → MarkupParserCommon

5. #### type PositionType = Position

   Definition Classes
     MarkupParser → MarkupParserCommon

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Test two objects for inequality.

   Test two objects for inequality.

   returns

     `true` if !(this == that), false otherwise.

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Equivalent to `x.hashCode` except for boxed numeric types and `null`.

   Equivalent to `x.hashCode` except for boxed numeric types and `null`. For numerics, it returns a hash value which is consistent with value equality: if two value type instances compare as true, then ## will produce the same hash value for each of them. For `null` returns a hashcode where `null.hashCode` throws a `NullPointerException`.

   returns

     a hash value consistent with ==

   Definition Classes
     AnyRef → Any

3. #### def +(other: String): String

   Implicit information
     This member is added by an implicit conversion from Parsers.MarkupParser to any2stringadd[Parsers.MarkupParser] performed by method any2stringadd in scala.Predef.
   Definition Classes
     any2stringadd

4. #### def ->[B](y: B): (Parsers.MarkupParser, B)

   Implicit information
     This member is added by an implicit conversion from Parsers.MarkupParser to ArrowAssoc[Parsers.MarkupParser] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline()

5. #### final def ==(arg0: Any): Boolean

   The expression `x == that` is equivalent to `if (x eq null) that eq null else x.equals(that)`.

   The expression `x == that` is equivalent to `if (x eq null) that eq null else x.equals(that)`.

   returns

     `true` if the receiver object is equivalent to the argument; `false` otherwise.

   Definition Classes
     AnyRef → Any

6. #### def appendText(pos: Global.Position, ts: Buffer[Global.Tree], txt: String): Unit

7. #### final def asInstanceOf[T0]: T0

   Cast the receiver object to be of type `T0`.

   Cast the receiver object to be of type `T0`.

   Note that the success of a cast at runtime is modulo Scala's erasure semantics. Therefore the expression `1.asInstanceOf[String]` will throw a `ClassCastException` at runtime, while the expression `List(1).asInstanceOf[List[String]]` will not. In the latter example, because the type argument is erased as part of compilation it is not possible to check whether the contents of the list are of the requested type.

   returns

     the receiver object.

   Definition Classes
     Any
   Exceptions thrown

     `ClassCastException` if the receiver object is not an instance of the erasure of type `T0`.

8. #### def ch: Char

   The library and compiler parsers had the interesting distinction of different behavior for nextch (a function for which there are a total of two plausible behaviors, so we know the design space was fully explored.) One of them returned the value of nextch before the increment and one of them the new value.

   The library and compiler parsers had the interesting distinction of different behavior for nextch (a function for which there are a total of two plausible behaviors, so we know the design space was fully explored.) One of them returned the value of nextch before the increment and one of them the new value. So to unify code we have to at least temporarily abstract over the nextchs.

   Definition Classes
     MarkupParser → MarkupParserCommon

9. #### def ch_returning_nextch: Char

   Attributes
     protected
   Definition Classes
     MarkupParser → MarkupParserCommon

10. #### def clone(): AnyRef

    Create a copy of the receiver object.

    Create a copy of the receiver object.

    The default implementation of the `clone` method is platform dependent.

    returns

      a copy of the receiver object.

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @IntrinsicCandidate() @throws( ... )
    Note

      not specified by SLS as a member of AnyRef

11. #### def content: Buffer[Global.Tree]

12. #### def content_AMP(ts: ArrayBuffer[Global.Tree]): Unit

    adds entity/character to ts as side-effect

13. #### def content_BRACE(p: Global.Position, ts: ArrayBuffer[Global.Tree]): Unit

14. #### def curOffset: Int

15. #### def element: Global.Tree

    '<' element ::= xmlTag1 '>' { xmlExpr | '{' simpleExpr '}' } ETag | xmlTag1 '/' '>'

16. #### def ensuring(cond: (Parsers.MarkupParser) ⇒ Boolean, msg: ⇒ Any): Parsers.MarkupParser

    Implicit information
      This member is added by an implicit conversion from Parsers.MarkupParser to Ensuring[Parsers.MarkupParser] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

17. #### def ensuring(cond: (Parsers.MarkupParser) ⇒ Boolean): Parsers.MarkupParser

    Implicit information
      This member is added by an implicit conversion from Parsers.MarkupParser to Ensuring[Parsers.MarkupParser] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

18. #### def ensuring(cond: Boolean, msg: ⇒ Any): Parsers.MarkupParser

    Implicit information
      This member is added by an implicit conversion from Parsers.MarkupParser to Ensuring[Parsers.MarkupParser] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

19. #### def ensuring(cond: Boolean): Parsers.MarkupParser

    Implicit information
      This member is added by an implicit conversion from Parsers.MarkupParser to Ensuring[Parsers.MarkupParser] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

20. #### val eof: Boolean

    Definition Classes
      MarkupParser → MarkupParserCommon

21. #### final def eq(arg0: AnyRef): Boolean

    Tests whether the argument (`that`) is a reference to the receiver object (`this`).

    Tests whether the argument (`that`) is a reference to the receiver object (`this`).

    The `eq` method implements an equivalence relation on non-null instances of `AnyRef`, and has three additional properties:

    - It is consistent: for any non-null instances `x` and `y` of type `AnyRef`, multiple invocations of `x.eq(y)` consistently returns `true` or consistently returns `false`.
    - For any non-null instance `x` of type `AnyRef`, `x.eq(null)` and `null.eq(x)` returns `false`.
    - `null.eq(null)` returns `true`.

    When overriding the `equals` or `hashCode` methods, it is important to ensure that their behavior is consistent with reference equality. Therefore, if two objects are references to each other (`o1 eq o2`), they should be equal to each other (`o1 == o2`) and they should hash to the same value (`o1.hashCode == o2.hashCode`).

    returns

      `true` if the argument is a reference to the receiver object; `false` otherwise.

    Definition Classes
      AnyRef

22. #### def equals(arg0: Any): Boolean

    The equality method for reference types.

    The equality method for reference types. Default implementation delegates to `eq`.

    See also `equals` in scala.Any.

    returns

      `true` if the receiver object is equivalent to the argument; `false` otherwise.

    Definition Classes
      AnyRef → Any

23. #### def errorAndResult[T](msg: String, x: T): T

    Attributes
      protected
    Definition Classes
      MarkupParserCommon

24. #### def errorNoEnd(tag: String): Nothing

    Definition Classes
      MarkupParser → MarkupParserCommon

25. #### def escapeToScala[A](op: ⇒ A, kind: String): A

26. #### def formatted(fmtstr: String): String

    Implicit information
      This member is added by an implicit conversion from Parsers.MarkupParser to StringFormat[Parsers.MarkupParser] performed by method StringFormat in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()

27. #### final def getClass(): Class[_]

    A representation that corresponds to the dynamic class of the receiver object.

    A representation that corresponds to the dynamic class of the receiver object.

    The nature of the representation is platform dependent.

    returns

      a representation that corresponds to the dynamic class of the receiver object.

    Definition Classes
      AnyRef → Any
    Annotations
      @IntrinsicCandidate()
    Note

      not specified by SLS as a member of AnyRef

28. #### def hashCode(): Int

    The hashCode method for reference types.

    The hashCode method for reference types. See hashCode in scala.Any.

    returns

      the hash code value for this object.

    Definition Classes
      AnyRef → Any
    Annotations
      @IntrinsicCandidate()

29. #### var input: CharArrayReader

30. #### final def isInstanceOf[T0]: Boolean

    Test whether the dynamic type of the receiver object is `T0`.

    Test whether the dynamic type of the receiver object is `T0`.

    Note that the result of the test is modulo Scala's erasure semantics. Therefore the expression `1.isInstanceOf[String]` will return `false`, while the expression `List(1).isInstanceOf[List[String]]` will return `true`. In the latter example, because the type argument is erased as part of compilation it is not possible to check whether the contents of the list are of the specified type.

    returns

      `true` if the receiver object is an instance of erasure of type `T0`; `false` otherwise.

    Definition Classes
      Any

31. #### def lookahead(): BufferedIterator[Char]

    Create a lookahead reader which does not influence the input

    Create a lookahead reader which does not influence the input

    Definition Classes
      MarkupParser → MarkupParserCommon

32. #### def mkAttributes(name: String, other: NamespaceType): AttributesType

    Definition Classes
      MarkupParser → MarkupParserCommon

33. #### def mkProcInstr(position: Global.Position, name: String, text: String): ElementType

    Definition Classes
      MarkupParser → MarkupParserCommon

34. #### final def ne(arg0: AnyRef): Boolean

    Equivalent to `!(this eq that)`.

    Equivalent to `!(this eq that)`.

    returns

      `true` if the argument is not a reference to the receiver object; `false` otherwise.

    Definition Classes
      AnyRef

35. #### def nextch(): Unit

    this method assign the next character to ch and advances in input

    this method assign the next character to ch and advances in input

    Definition Classes
      MarkupParser → MarkupParserCommon

36. #### final def notify(): Unit

    Wakes up a single thread that is waiting on the receiver object's monitor.

    Wakes up a single thread that is waiting on the receiver object's monitor.

    Definition Classes
      AnyRef
    Annotations
      @IntrinsicCandidate()
    Note

      not specified by SLS as a member of AnyRef

37. #### final def notifyAll(): Unit

    Wakes up all threads that are waiting on the receiver object's monitor.

    Wakes up all threads that are waiting on the receiver object's monitor.

    Definition Classes
      AnyRef
    Annotations
      @IntrinsicCandidate()
    Note

      not specified by SLS as a member of AnyRef

38. #### final val preserveWS: Boolean

39. #### def reportSyntaxError(str: String): Unit

    Definition Classes
      MarkupParser → MarkupParserCommon

40. #### def reportSyntaxError(pos: Int, str: String): Unit

    Definition Classes
      MarkupParser → MarkupParserCommon

41. #### def returning[T](x: T)(f: (T) ⇒ Unit): T

    Apply a function and return the passed value

    Apply a function and return the passed value

    Definition Classes
      MarkupParserCommon

42. #### def saving[A, B](getter: A, setter: (A) ⇒ Unit)(body: ⇒ B): B

    Execute body with a variable saved and restored after execution

    Execute body with a variable saved and restored after execution

    Definition Classes
      MarkupParserCommon

43. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

44. #### var tmppos: Global.Position

    Definition Classes
      MarkupParser → MarkupParserCommon

45. #### def toString(): String

    Creates a String representation of this object.

    Creates a String representation of this object. The default representation is platform dependent. On the java platform it is the concatenation of the class name, "@", and the object's hashcode in hexadecimal.

    returns

      a String representation of the object.

    Definition Classes
      AnyRef → Any

46. #### def truncatedError(msg: String): Nothing

    Definition Classes
      MarkupParser → MarkupParserCommon

47. #### def unreachable: Nothing

    Attributes
      protected
    Definition Classes
      MarkupParserCommon

48. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

49. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

50. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

51. #### def xAttributeValue(endCh: Char): String

    attribute value, terminated by either `'` or `"`.

    attribute value, terminated by either `'` or `"`. value may not contain `<`.

    endCh

      either `'` or `"`

    Definition Classes
      MarkupParserCommon

52. #### def xAttributes: LinkedHashMap[String, Global.Tree]

    parse attribute and add it to listmap [41] Attributes ::= { S Name Eq AttValue } AttValue ::= `'` { _ } `'` | `"` { _ } `"` | `{` scalablock `}`

53. #### def xCharData: Global.Tree

    '<! CharData ::= [CDATA[ ( {char} - {char}"]]>"{char} ) ']]>'

    '<! CharData ::= [CDATA[ ( {char} - {char}"]]>"{char} ) ']]>'

    see [15]

54. #### def xCharRef: String

    Definition Classes
      MarkupParserCommon

55. #### def xCharRef(it: Iterator[Char]): String

    Definition Classes
      MarkupParserCommon

56. #### def xCharRef(ch: () ⇒ Char, nextch: () ⇒ Unit): String

    CharRef ::= "&#" '0'..'9' {'0'..'9'} ";" | "&#x" '0'..'9'|'A'..'F'|'a'..'f' { hexdigit } ";"

    CharRef ::= "&#" '0'..'9' {'0'..'9'} ";" | "&#x" '0'..'9'|'A'..'F'|'a'..'f' { hexdigit } ";"

    see [66]

    Definition Classes
      MarkupParserCommon

57. #### def xCheckEmbeddedBlock: Boolean

    checks whether next character starts a Scala block, if yes, skip it.

    checks whether next character starts a Scala block, if yes, skip it.

    returns

      true if next character starts a scala block

58. #### def xComment: Global.Tree

    Comment ::=

    Comment ::=

    see [15]

59. #### def xEQ(): Unit

    scan [S] '=' [S]

    scan [S] '=' [S]

    Definition Classes
      MarkupParserCommon

60. #### var xEmbeddedBlock: Boolean

61. #### def xEmbeddedExpr: Global.Tree

62. #### def xEndTag(startName: String): Unit

    [42] '<' xmlEndTag ::= '<' '/' Name S? '>'

    [42] '<' xmlEndTag ::= '<' '/' Name S? '>'

    Definition Classes
      MarkupParserCommon

63. #### def xHandleError(that: Char, msg: String): Unit

    Definition Classes
      MarkupParser → MarkupParserCommon

64. #### def xLiteral: Global.Tree

    xLiteral = element { element }

    xLiteral = element { element }

    returns

      Scala representation of this xml literal

65. #### def xLiteralPattern: Global.Tree

    returns

      this xml pattern

    See also

      xmlPattern. resynchronizes after successful parse

66. #### def xName: String

    actually, Name ::= (Letter | '_' | ':') (NameChar)* but starting with ':' cannot happen Name ::= (Letter | '_') (NameChar)*

    actually, Name ::= (Letter | '_' | ':') (NameChar)* but starting with ':' cannot happen Name ::= (Letter | '_') (NameChar)*

    see [5] of XML 1.0 specification

    pre-condition: ch != ':' // assured by definition of XMLSTART token post-condition: name does neither start, nor end in ':'

    Definition Classes
      MarkupParserCommon

67. #### def xPattern: Global.Tree

    '<' xPattern ::= Name [S] { xmlPattern | '{' pattern3 '}' } ETag | Name [S] '/' '>'

68. #### def xProcInstr: ElementType

    '<?' ProcInstr ::= Name [S ({Char} - ({Char}'>?' {Char})]'?>'

    '<?' ProcInstr ::= Name [S ({Char} - ({Char}'>?' {Char})]'?>'

    see [15]

    Definition Classes
      MarkupParserCommon

69. #### def xScalaPatterns: List[Global.Tree]

    xScalaPatterns ::= patterns

70. #### def xSpace(): Unit

    scan [3] S ::= (#x20 | #x9 | #xD | #xA)+

    scan [3] S ::= (#x20 | #x9 | #xD | #xA)+

    Definition Classes
      MarkupParserCommon

71. #### def xSpaceOpt(): Unit

    skip optional space S?

    skip optional space S?

    Definition Classes
      MarkupParserCommon

72. #### def xTag(pscope: NamespaceType): (String, AttributesType)

    parse a start or empty tag.

    parse a start or empty tag. [40] STag ::= '<' Name { S Attribute } [S] [44] EmptyElemTag ::= '<' Name { S Attribute } [S]

    Attributes
      protected
    Definition Classes
      MarkupParserCommon

73. #### def xTakeUntil[T](handler: (PositionType, String) ⇒ T, positioner: () ⇒ PositionType, until: String): T

    Take characters from input stream until given String "until" is seen.

    Take characters from input stream until given String "until" is seen. Once seen, the accumulated characters are passed along with the current Position to the supplied handler function.

    Attributes
      protected
    Definition Classes
      MarkupParserCommon

74. #### def xToken(that: Seq[Char]): Unit

    Definition Classes
      MarkupParserCommon

75. #### def xToken(that: Char): Unit

    Definition Classes
      MarkupParserCommon

76. #### def xUnparsed: Global.Tree

77. #### def →[B](y: B): (Parsers.MarkupParser, B)

    Implicit information
      This member is added by an implicit conversion from Parsers.MarkupParser to ArrowAssoc[Parsers.MarkupParser] performed by method ArrowAssoc in scala.Predef.
    Definition Classes
      ArrowAssoc

### Deprecated Value Members

1. #### def finalize(): Unit

   Called by the garbage collector on the receiver object when there are no more references to the object.

   Called by the garbage collector on the receiver object when there are no more references to the object.

   The details of when and if the `finalize` method is invoked, as well as the interaction between `finalize` and non-local returns and exceptions, are all platform dependent.

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @Deprecated @deprecated @throws( classOf[java.lang.Throwable] )
   Deprecated

     (Since version ) see corresponding Javadoc for more information.

   Note

     not specified by SLS as a member of AnyRef

### Inherited from MarkupParserCommon

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion any2stringadd from Parsers.MarkupParser to any2stringadd[Parsers.MarkupParser]

### Inherited by implicit conversion StringFormat from Parsers.MarkupParser to StringFormat[Parsers.MarkupParser]

### Inherited by implicit conversion Ensuring from Parsers.MarkupParser to Ensuring[Parsers.MarkupParser]

### Inherited by implicit conversion ArrowAssoc from Parsers.MarkupParser to ArrowAssoc[Parsers.MarkupParser]

### Ungrouped